Bug 1127800 - implement workaround for Bug 1122938 now
Summary: implement workaround for Bug 1122938 now
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Lestach
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-07 15:08 UTC by Tomas Lestach
Modified: 2014-09-11 12:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:20:52 UTC


Attachments (Terms of Use)

Description Tomas Lestach 2014-08-07 15:08:11 UTC
Description of problem:
The trouble is the Bug 1122938 fix aims for Sat6.1.

Currently (for 6.0) an integer 'id' is returned as content host identifier. If 6.1 will use string 'uuid' (another type and value) as identifier, it's fatal for transition tooling persistent maps. It breaks mapping from sat5 system profiles to sat6 content hosts, that are identified by what is returned as 'id' at creation time.

Implement a workaround now, it's cheaper to implement it now, than to recover/rebuild persistent maps after the change gets released.

Comment 3 Tomas Lestach 2014-08-14 16:00:06 UTC
hammer-cli-import.git: 514c28aa4264572eb47ca941193479471d228e24

Comment 5 Tazim Kolhar 2014-09-03 06:38:27 UTC
VERIFIED

string 'uuid' is returned as the conten-host identifier

# hammer content-host list --organization jhutar
[Foreman] username: admin
[Foreman] password for admin: 
-------------------------------------|-------------------------------------------
ID                                   | NAME                                      
-------------------------------------|-------------------------------------------
380d831e-b2fa-433c-aad0-55d3915e3d8f | ibm-x3650m4-03-vm10.lab.eng.brq.redhat.com
d8b09e0c-60e2-449d-81c5-bd7a4febdde1 | ibm-x3650m4-03-vm07.lab.eng.brq.redhat.com
e256488c-eeea-44c3-9a32-e7ab6b35d285 | test01-64.sysmgmt.lab.eng.rdu2.redhat.com 
-------------------------------------|-------

Comment 6 Tomas Lestach 2014-09-03 07:42:55 UTC
I'm sorry, I didn't mention in the Bug#Description that the integer 'id' returned as content host identifier is when you use the *API* (POST /katello/api/systems ), not hammer.

Switching back to ON_QA.

The correct test for this Bug would be to transition some content-hosts and verify that the 'sat6' column in the .transition_data/systems* csv file contains uuid strings (not integer values).

Comment 7 Tazim Kolhar 2014-09-03 09:17:42 UTC
shifting this to ON_QA as discussed in the email will be handled by  @ggainey

Comment 8 Grant Gainey 2014-09-03 17:58:28 UTC
DEVELOPER-VERIFIED - migrated a system from Sat5 (SID 1000010004) to Sat6. Created content-host with UUID ac063466-4dbc-4dd3-bfe9-bf33f5c2fd2e. 

Content of the matching .transition_data/systems* file:

===
~ $ cat .transition_data/systems-2014-09-02T21\:54\:09+0000.csv
sat5,sat6,delete
1000010004,ac063466-4dbc-4dd3-bfe9-bf33f5c2fd2e,
~ $ 
===

Verified on rubygem-hammer_cli_import-0.10.3-1

Comment 9 Bryan Kearney 2014-09-11 12:20:52 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.